## debian-guide-zh 0.6

=== Makefile ===
# Makefile for debian-guide-zh for Debian.
#
# GNU GPL v2, Copyright (C) 2000, Anthony Fok <foka@debian.org>
#
# Software packages required for building the Postscript and HTML files:
#     cjk-latex, latex2html, gs, slice, zh-autoconvert,
#     tfm-arphic-bsmi00lp, tfm-arphic-gbsn00lp

SHELL = /bin/sh

title-zh_CN = Debian GNU/Linux װʹõ
DCP-zh_CN   = Debian ļƻ
title-zh_TW = Debian GNU/Linux wˤΨϥξɽ
DCP-zh_TW   = Debian p

locales = zh_CN zh_TW
frames = frame noframe
comma = ,
dvitargets = $(foreach i,$(locales),debian-guide.$(i).dvi)
pstargets = $(foreach i,$(locales),debian-guide.$(i).ps.gz)
htmltargets = $(foreach i,$(locales),$(addprefix html-$(i)-,$(frames)))

# Primary targets

all: dvi ps html

dvi: $(dvitargets)

ps: $(pstargets) dvi

html: $(htmltargets)

# Common rule

debian-guide.zh_CN.tex debian-guide.zh_TW.tex \
debian-guide-zh_CN-html.tex debian-guide-zh_TW-html.tex: \
	debian-guide.zh.tex.in \
	tocn.pl totw.pl totw_zhe.pl tohtml.pl totw_zhe_html.pl

	slice	-o UNDEFuCN:debian-guide.zh_CN.tex.tmp \
		-o UNDEFuTW:debian-guide.zh_TW.tex.tmp \
		debian-guide.zh.tex.in

	# For LaTeX
	autogb < debian-guide.zh_CN.tex.tmp | ./tocn.pl \
		> debian-guide.zh_CN.tex
	./totw.pl < debian-guide.zh_TW.tex.tmp | ./totw_zhe.pl \
		> debian-guide.zh_TW.tex

	# For LaTeX2HTML
	./tohtml.pl < debian-guide.zh_CN.tex.tmp | autogb | ./tocn.pl \
		> debian-guide-zh_CN-html.tex
	./tohtml.pl < debian-guide.zh_TW.tex.tmp | ./totw.pl \
		| ./totw_zhe_html.pl > debian-guide-zh_TW-html.tex

	# Checking to ensure all <s<????>> and <t<????>> are translated...
	@if grep -q '<[st]<' *.tex; then \
		echo "Error!  Unsubstituted <s<????>> or <t<????>> found!" > /dev/stderr; \
		echo "Please double check $< and the Perl scripts." > /dev/stderr; \
		false; \
	fi

	# Good, it passes the test.

# Rules for building gzip'ed Postscript files.

%.zh_CN.dvi: %.zh_CN.tex GPL GPL.zh_CN
	latex $<
	makeindex $(basename $<).idx
	latex $<
	latex $<

GPL.zh_TW.cjk: GPL.zh_TW
	bg5conv < $< | sed -e 's/^\\def\\CJKpreproc{}//;' > $@

%.zh_TW.dvi: %.zh_TW.tex GPL GPL.zh_TW.cjk
	bg5latex $<
	makeindex $(basename $<).idx
	bg5latex $<
	bg5latex $<

%.ps: %.dvi
	dvips -D 600 -X 600 -Y 600 $< -o

%.ps.gz: %.ps
	gzip -9v $<

%-zh_CN-html.aux: %-zh_CN-html.tex
	latex $<
	latex $<
	rm -f $(<F:tex=dvi)

%-zh_TW-html.aux: %-zh_TW-html.tex
	bg5latex $<
	bg5latex $<
	rm -f $(<F:tex=dvi)

chineseb5.perl chinesegb.perl: chinese.perl.in
	slice	-o UNDEFuCN:chinesegb.perl.tmp \
		-o UNDEFuTW:chineseb5.perl \
		$<
	autogb < chinesegb.perl.tmp > chinesegb.perl
	rm -f chinesegb.perl.tmp

# Rules for building HTML pages.

$(htmltargets): locale = $(strip $(foreach i,$(locales),$(findstring $(i),$@)))
$(htmltargets): frame = $(patsubst html-$(locale)-%,%,$@)
$(htmltargets): frameopt = $(if $(filter-out noframe,$(frame)),$(comma)$(frame))
$(htmltargets): title = $(title-$(locale))
$(htmltargets): DCP = $(DCP-$(locale))
$(htmltargets): debian-guide-zh_CN-html.aux debian-guide-zh_TW-html.aux \
		GPL GPL.zh_CN GPL.zh_TW chineseb5.perl chinesegb.perl
	rm -rf $(locale)/html/$(frame)s
	-mkdir -p $(locale)/html/$(frame)s
	latex2html -html_version 4.0,table$(frameopt) -split 4 \
		-iso_language $(subst zh_,ZH.,$(locale)) \
		-t '$(title)' \
		-toc_stars -local_icons -show_section_numbers \
		-address 'John Goerzen / Ossama Othman / $(DCP)' \
		-dir $(locale)/html/$(frame)s \
		debian-guide-$(locale)-html.tex

# Cleaning up...

clean:
	rm -f *~ DEADJOE *.tex.tmp
	rm -f *.dvi *.ps *.ps.gz

distclean: clean
	rm -rf zh_CN zh_TW
	rm -f *.tex *.cjk *.aux *.idx *.ilg *.ind *.lof *.log *.lot *.toc
	rm -f chineseb5.perl chinesegb.perl GPL.zh_TW.cjk

.PHONY: all dvi ps html clean distclean $(htmltargets)

=== debian/changelog ===
debian-guide-zh (0.6) unstable; urgency=low

  * Added "Chapter 4: Logging In" and "Chapter 6: Using the Shell",
    translated by CHEN Jian and converted to LaTeX by Kenneth Chin.
    Thanks a lot!  Only one more chapter to go!  :-)
  * Updated package description (now about 80% complete) and copyright
    (more authors and proofreaders).
  * Small revisions to the conversion Perl scripts.

 -- Anthony Fok <foka@debian.org>  Fri,  8 Dec 2000 01:06:01 -0700

debian-guide-zh (0.5.1) unstable; urgency=low

  * Minor fixes; cosmetic changes; 600 dpi instead of 360 dpi PostScript.

 -- Anthony Fok <foka@debian.org>  Fri,  6 Oct 2000 23:45:41 -0600

debian-guide-zh (0.5) unstable; urgency=low

  * Added chapters "Troubleshooting" and "Booting the System",
    translated by CHEN Jian and converted to LaTeX by Anthony Wong.
    Thanks a million!  :-)
  * Updated CHEN Jian's e-mail address.
  * Removed extra spaces placed after certain punctuation marks
    in the zh_CN version.

 -- Anthony Fok <foka@debian.org>  Fri,  6 Oct 2000 02:42:40 -0600

debian-guide-zh (0.4) unstable; urgency=low

  * Added "Chapter 3: Step by Step Installation", translated by
    LI Jianbing.  Thanks a million!  :-)
  * Updated hashao and Li Jianbing's e-mail addresses.
  * Added more zh_CN <-> zh_TW computer terms, e.g. "script", "mouse",
    "cursor", "screen".

 -- Anthony Fok <foka@debian.org>  Mon, 24 Jul 2000 06:48:21 -0600

debian-guide-zh (0.3) unstable; urgency=low

  * More revisions.  Special thanks to Jim Zh <snowboy909@yahoo.com>
    who proof-read the beginning chapters and sent me a list of
    corrections and revisions!  Also thanks to others for their input!
  * Removed a somewhat erroneous \underline{..} command in the zh_TW
    version.  It was causing some troubles with image generation.

 -- Anthony Fok <foka@debian.org>  Sat, 22 Jul 2000 11:48:43 -0600

debian-guide-zh (0.2.1) unstable; urgency=low

  * Oops, the "frame" version was actually without frame.  It seems
    that .latex2html-init overrided the command-line options.  Fixed.

 -- Anthony Fok <foka@debian.org>  Sun, 25 Jun 2000 09:11:42 -0600

debian-guide-zh (0.2) unstable; urgency=low

  * Fixed links to the Large Disk HOWTO (the obsolete Large Disk mini-HOWTO
    has finally been removed from www.linuxdoc.org).  Thanks to EsUaD
    of bbs.org.hk for letting me know.  :-)
  * s,metalab.unc.edu/LDP,www.linuxdoc.org,g;
  * Further localized the computer terms of the traditional and
    simplified Chinese versions by using things like <s<term>> and
    <t<term>>.
  * Added kludge to work around an annoying LaTeX2HTML bug that ignores
    "\/".  E.g. LaTeX2HTML happily interprets \texttt{drwxrwx-\/-\/-}
    as \texttt{drwxrwx---} and changes "---" into an em-dash ligature.
  * No longer includes coart.eps (the picture of a city with a river)
    in the Postscript version because it is making the Postscript files
    (and the .deb too big).  File a bug report if you want it back.  :-)
  * Added chinese{b5,gb}.perl and .latex2html-init so that Chinese titles
    are used in the HTML version.
  * Streamlined Makefile.
  * Renamed debian-tutorial*.* to debian-guide*.*.
  * Added Chinese (Big5 and GB) versions of GNU GPL.

 -- Anthony Fok <foka@debian.org>  Tue, 20 Jun 2000 02:54:29 -0600

debian-guide-zh (0.1) unstable; urgency=low

  * Initial Release.
  * Chinese version of John Goerzen and Ossama Othman's "debian-guide".
    Translated by the participants of the Debian Chinese Project.
    Status: About 50% translated.

 -- Anthony Fok <foka@debian.org>  Fri, 16 Jun 2000 08:21:18 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Build-Depends: debhelper (>= 2.0.72), cjk-latex, latex2html, gs, slice, zh-autoconvert, tfm-arphic-bsmi00lp, tfm-arphic-gbsn00lp
Source: debian-guide-zh
Section: doc
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Standards-Version: 3.2.1

Package: debian-guide-zh-s
Architecture: all
Description: Debian GNU/Linux: Guide to Installation and Usage (Chinese GB)
 This package will install the simplified Chinese (GB) translation
 of the full text in HTML and PostScript formats from the book
 "Debian GNU/Linux: Guide to Installation and Usage" by Debian
 developers John Goerzen and Ossama Othman (ISBN 0-7357-0914-9).
 .
 The Chinese translation (about 80% completed as of December 2000)
 is a group effort of the participants of the Debian Chinese Project.
 .
 You can find the installed items under /usr/doc/debian-guide-zh-s.

Package: debian-guide-zh-t
Architecture: all
Description: Debian GNU/Linux: Guide to Installation and Usage (Chinese Big5)
 This package will install the traditional Chinese (Big5) translation
 of the full text in HTML and PostScript formats from the book
 "Debian GNU/Linux: Guide to Installation and Usage" by Debian
 developers John Goerzen and Ossama Othman (ISBN 0-7357-0914-9).
 .
 The Chinese translation (about 80% completed as of December 2000)
 is a group effort of the participants of the Debian Chinese Project.
 .
 You can find the installed items under /usr/doc/debian-guide-zh-t.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for debian-guide-zh for Debian.
# GNU GPL v2, Copyright (C) 2000, Anthony Fok <foka@debian.org>

package = debian-guide-zh
SHELL = /bin/sh
d = debian/$(bin-package)

subpkgs = s t
s_locale = zh_CN
t_locale = zh_TW
locale = $($(subpkg)_locale)
binary_subpkgs = $(addprefix binary_,$(subpkgs))
install_subpkgs = $(addprefix install_,$(subpkgs))
clean_subpkgs = $(addprefix clean_,$(subpkgs))
bin-package = $(package)-$(subpkg)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: $(clean_subpkgs)
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	cd debian \
	&& for i in copyright README.Debian; do \
		slice	-o UNDEFuCN:debian-guide-zh-s.$$i.tmp \
			-o UNDEFuTW:debian-guide-zh-t.$$i \
			$$i.in ; \
		autogb < debian-guide-zh-s.$$i.tmp > debian-guide-zh-s.$$i ; \
		rm -f debian-guide-zh-s.$$i.tmp ; \
	done \
	&&	slice	-o UNDEFuCN:debian-guide-zh-s.doc-base \
			-o UNDEFuTW:debian-guide-zh-t.doc-base \
			in.doc-base

$(clean_subpkgs): subpkg = $(patsubst clean_%,%,$@) 
$(clean_subpkgs): DH_OPTIONS = -p$(bin-package) -P$(d)
$(clean_subpkgs):
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean $(DH_OPTIONS)

install: build $(install_subpkgs)
$(install_subpkgs): subpkg = $(patsubst install_%,%,$@)
$(install_subpkgs): DH_OPTIONS = -p$(bin-package) -P$(d)
$(install_subpkgs): build
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean -k $(DH_OPTIONS)
	dh_installdirs $(DH_OPTIONS)

# Build architecture-independent files here.
binary-indep: build install $(binary_subpkgs)
$(binary_subpkgs): subpkg = $(patsubst binary_%,%,$@)
$(binary_subpkgs): DH_OPTIONS = -p$(bin-package) -P$(d)
$(binary_subpkgs): build install
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_installdocs $(DH_OPTIONS) \
		debian-guide.$(locale).ps.gz $(locale)/html
	for i in frames noframes; do ( \
		cd $(d)/usr/share/doc/$(package)-$(subpkg)/html/$$i \
		&& rm -f *.pl *.tex *.log *.aux *.idx WARNINGS \
	); done	
	dh_installchangelogs $(DH_OPTIONS)
	dh_link $(DH_OPTIONS)
	dh_compress $(DH_OPTIONS)
	dh_fixperms $(DH_OPTIONS)
	dh_installdeb $(DH_OPTIONS)
	dh_gencontrol $(DH_OPTIONS)
	dh_md5sums $(DH_OPTIONS)
	dh_builddeb $(DH_OPTIONS)

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install \
	$(subpkgs) $(install_subpkgs) $(binary_subpkgs) $(clean_subpkgs)
